interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54566 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36590']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:38 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjlu63.2.1505364157756.Z0FBQUFBQlp1Z2ktS2l4azZScXBfOEdRSUR3X2E0bldXcGJHbEo1S3pEYXdVeWphcjluX1FQQkVmSlZPT3B3QmdiS25XUC1Ta2dkVTFHUlk1RE40RXo1Q3h6VzlqdF84bWg5cnBhQi1MTzdKNFdVVF85RlhEaWRTUGFsdmo0QVh5MnJQMmU1bmJ5aE8;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:38
          GMT; secure', 'session_tracker=YjmiNGn9ISvcEdZmu9.0.1505364157750.Z0FBQUFBQlp1Z2ktd0dJR1Z2bWdHMGVmc3lfZWNBd0YyTFlYRlhfN0F4eHlibVFPREdIcnNnSmpGQ0ZVeGNVdXRfNUVUdmd1NGcyZ2tHSjVCWTM3bWJWRUF6em41U21xR0x6UFNuYnZET1RGdDdCTlVFVGRvMkpOWExrSHVhelg5eGs0Umhoa08yWlI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:38
          GMT; secure', edgebucket=eaFERqKRPWFnjxXirW; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1735-ORD]
      X-Timer: ['S1505364158.734974,VS0,VE493']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjlu63.2.1505364157756.Z0FBQUFBQlp1Z2ktS2l4azZScXBfOEdRSUR3X2E0bldXcGJHbEo1S3pEYXdVeWphcjluX1FQQkVmSlZPT3B3QmdiS25XUC1Ta2dkVTFHUlk1RE40RXo1Q3h6VzlqdF84bWg5cnBhQi1MTzdKNFdVVF85RlhEaWRTUGFsdmo0QVh5MnJQMmU1bmJ5aE8;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:38
          GMT; secure', 'session_tracker=YjmiNGn9ISvcEdZmu9.0.1505364157750.Z0FBQUFBQlp1Z2ktd0dJR1Z2bWdHMGVmc3lfZWNBd0YyTFlYRlhfN0F4eHlibVFPREdIcnNnSmpGQ0ZVeGNVdXRfNUVUdmd1NGcyZ2tHSjVCWTM3bWJWRUF6em41U21xR0x6UFNuYnZET1RGdDdCTlVFVGRvMkpOWExrSHVhelg5eGs0Umhoa08yWlI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:38
          GMT; secure', edgebucket=eaFERqKRPWFnjxXirW; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=VHq0aydvQ60uKBW4Qan5BEL85OUb0AipXdswS9dY9SAYVhdMxAjM4IGkRj0hhqje5E0bPS%2F89ss%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: grant_type=refresh_token&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F&refresh_token=**********
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [edgebucket=eaFERqKRPWFnjxXirW; loid=00000000000drjlu63.2.1505364157756.Z0FBQUFBQlp1Z2ktS2l4azZScXBfOEdRSUR3X2E0bldXcGJHbEo1S3pEYXdVeWphcjluX1FQQkVmSlZPT3B3QmdiS25XUC1Ta2dkVTFHUlk1RE40RXo1Q3h6VzlqdF84bWg5cnBhQi1MTzdKNFdVVF85RlhEaWRTUGFsdmo0QVh5MnJQMmU1bmJ5aE8;
          session_tracker=YjmiNGn9ISvcEdZmu9.0.1505364157750.Z0FBQUFBQlp1Z2ktd0dJR1Z2bWdHMGVmc3lfZWNBd0YyTFlYRlhfN0F4eHlibVFPREdIcnNnSmpGQ0ZVeGNVdXRfNUVUdmd1NGcyZ2tHSjVCWTM3bWJWRUF6em41U21xR0x6UFNuYnZET1RGdDdCTlVFVGRvMkpOWExrSHVhelg5eGs0Umhoa08yWlI]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body: {string: '{"access_token": "QCwMvoXZYlUBM3kUxqZNFVWoA6o", "token_type":
        "bearer", "device_id": "None", "expires_in": 3600, "scope": "edit history
        identity mysubreddits privatemessages read report save submit subscribe vote"}'}
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Length: ['214']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:42 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1735-ORD]
      X-Timer: ['S1505364162.395198,VS0,VE42']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=YjmiNGn9ISvcEdZmu9.0.1505364162412.Z0FBQUFBQlp1Z2pDbExGLUFpX0RJX0x0cHZoalhkRjMxRlZvd3FlNUxqSW5wY0lrTENTTXNsdElqck1VSTNQaEF1eVZEYkl2Z1FOQnJNd0xwelhxLXVBdzMyU0hIWjlEeW5fb0theGw5MlpsWC0xemJPbHdwX2w3czFEZG5meGpndVpfdHc1OVVJR1U;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:42
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAMIIulkC/61W227cNhD9FWOfXdvS+rLJW5o6rdsiiIsWBVoUBCWNVsxSJMPLrneD/ntnKGpF
        OdsmBfJirDW8nDlz5nA+LoRj0Bup9wCLl2ctlw7OzxYtcB8sOPz0ceGA27pjJlRS1Mxb3raijhG9
        U2DxV1qywJ1bbgVXnj4q2LG0d0UheDJgRQ/KM9HggrIo/8bPdcdpubeBbm40U9rTLfVm+uo6vWO8
        N0wKlX2WYgus48aAEmqNG3dTTKj3UHuGIOZQLUjYclXDM7QWeo2n1Vq50ENzEvDVkgDzxoHdgmUW
        jLYeb55uXUdEzju2tngwEThihTWv9yMhxkKb5+HoGEbnihqYxVSDmeJ4I+PBawZPHhRBSYFeV0IC
        20HFPLdrmINpoOVBeuasY52WjQ6U6RdwgSR4qyUrTrFQ3BUDCwewG3a6XgEzcSyllbED2mgTJLdM
        qK8IqSyuCNKuEx7oUmiY6TPuhar0EwrYddM3PMFpxaU4cC+0ihXJtgSDBWxID3ojYiMcz/KAneFP
        EV5b7ZzRGDRWt1iZKVRJXW8Y8cKqfVLOFD0WGEGEvMAaVbTG+yhOncqFzLD0VPgnvKvXrNcNlyPl
        rMZWxeLg8j1rhOuFc6JCpQidbUcaucICwhZmUoWQ0mZG4zn7jBXfY6iPzFMrZptabVG5nfcmBzjo
        UyHF2BcVV0OVxxIQU5h0IotV4PkUxaQb4QN6E7GD/wmLDZ1RE3ylkawh1yjAWTHIfqRer3GjYjWv
        u0/TiWhPHJ2atOEo8MnvTpAexYCMe4HcJ2LcnGTDsegMU8g+WY3i6ntkpZ5HpgbJwJD3Ib54eoPS
        nnvg5+Fgja2OfZK2DGqrSfbZNbUFUFuBrD3XAzE5KBa1xJHTvMA8Nf+MexeqoXzMBpl3TxKEA08y
        zQLJTo6WysoshlC3wpN5Dv64s9jozxiKreUsaq3PQseOpCOjK2VlIPlBX0FuqBmbHKlG7dHOicLM
        qvDhQj1jP56fdKrylFMVqztyqozRVuavFlZBS/lJBf5/o39S9Mx7Tfc1vbe8GZ6DweE8WuN/VM4C
        HzHRLjJdfD+iA3CFC6etOJi44EyU/GKaTOKOWZuoICUxN0ou5hTVgEdE6KJCa6Wl4yECPzPRk2AH
        D3h5eVld+C70lbsYTsERQPAL7KHLu1fSbO+t3vrH4vZKv3izf3hofnh9aH8uN9/A+/rFqvztNrx7
        HQ4PFwabAM8fjO6LbzC/L399WG7l4XZTbx6+s++ul2/6n+T3fyxfPW31sj18+/a+qH80rn4cb8BS
        G8n3Ue3x6RJPkaZFuKyR8elV6/gB2JK2dEg9tYg4UH8k1kaeIuKcZ6QTtSiqoWOKoSDjQEH8TZXa
        wB55lpHhBd0U+zGmNy1qgI4zyXPisvHuPvjZ1XluMSX2mZQGnlNGGczn7w0aY3ySF/92XrCSwpeE
        7CSPl1l1E5F/FuXq6vxsubr+C2MjZn/DlvLD3e0sT41g+aDEhEjTGFmssuTTlH2CLrJ9dAsuLAPF
        scdzzqKiR0Tlze35Gf4hQJMT+70Z6EQ4dB4PjQBs9jTIPK/KJIAEl/qVvhuckGfdtEYvwcnUCBu5
        ykoRFSk/KK6jLGI7O6JzWs2Cp7c17UA6RCtyQyanROJo8MFdaHokx7R6Ym/yDAKT8xJpn1Z0OEWN
        lwzj1DyGi1n6Oh6hcTDryGePlre4L/W9/+WxbdpX7dvHqESBs2KL/sysrnQEOe6Pddtw21M3lOWK
        UMV5tMbphWhH9Qy25rUZFhL5Q9WyNyDCm0OLu2K3OaX1lvtoiGN01OIpIRNmfPD50HnFdXlTLovb
        66sLAhMLWk8A6FtanMoVN1yVq7QBB6w0u413j0PimPfqRcrgKKvjM/APhXUFzIQOAAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['1418']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:42 GMT']
      Server: [snooserv]
      Set-Cookie: ['session_tracker=QR4I0jeLaPu8lk7Gl5.0.1505364162593.Z0FBQUFBQlp1Z2pDdjRFbTdfNUR4SHg5NGo3OGp0SW1rY3Jmd3pEeTdqdUdQRFhudjlKZElvRGo3dFZRX2Uxd3lwTWxqTjlzdllCOEZTRHRqYkNMbTlFVzJUTGZDazNhSDhrR1JhTFVSb1pVNXB3Q1JPOER5SzhLN013Wkc5X0F1R2ZtTjUzNmtMVFg;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:42
          GMT; secure', edgebucket=ifnpgFIHChCXO24Lbx; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1726-ORD]
      X-Timer: ['S1505364163.580337,VS0,VE70']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['session_tracker=QR4I0jeLaPu8lk7Gl5.0.1505364162593.Z0FBQUFBQlp1Z2pDdjRFbTdfNUR4SHg5NGo3OGp0SW1rY3Jmd3pEeTdqdUdQRFhudjlKZElvRGo3dFZRX2Uxd3lwTWxqTjlzdllCOEZTRHRqYkNMbTlFVzJUTGZDazNhSDhrR1JhTFVSb1pVNXB3Q1JPOER5SzhLN013Wkc5X0F1R2ZtTjUzNmtMVFg;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:42
          GMT; secure', edgebucket=ifnpgFIHChCXO24Lbx; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['578.0']
      x-ratelimit-reset: ['438']
      x-ratelimit-used: ['22']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [edgebucket=ifnpgFIHChCXO24Lbx; session_tracker=QR4I0jeLaPu8lk7Gl5.0.1505364162593.Z0FBQUFBQlp1Z2pDdjRFbTdfNUR4SHg5NGo3OGp0SW1rY3Jmd3pEeTdqdUdQRFhudjlKZElvRGo3dFZRX2Uxd3lwTWxqTjlzdllCOEZTRHRqYkNMbTlFVzJUTGZDazNhSDhrR1JhTFVSb1pVNXB3Q1JPOER5SzhLN013Wkc5X0F1R2ZtTjUzNmtMVFg]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 106748 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['71583']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:43 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1726-ORD]
      X-Timer: ['S1505364163.698391,VS0,VE673']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['loid=0000000000000lqnao.2.1425202840186.Z0FBQUFBQlp1Z2pEeUwteWtqYnM0U2puVUJRekM1dzR1ZFRKVDFOMFlzUXgyMEhJRkltZERLTEMtTThiMVI2RGdIWkRla2gyZ2ZPejJObHZxRXZzSERKeW5kX2d2VHp5VWlOVW51NWQwWWZlSTlVdFlhdW5rcWVqVzZHOFNPX2tOYk9lMVROcDB4R0k;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:43
          GMT; secure', 'session_tracker=QR4I0jeLaPu8lk7Gl5.0.1505364162715.Z0FBQUFBQlp1Z2pEQW1aU0hSRUN3YnVGRmczeVhmNm9Cay1RQjgycUlDLUxaVzN4N3JkWEdYeTV4V1JhT2VUYkJjaFVqaHlPcVpnbnhBWC01QWoxRnVZSEMzaTVla0RvNXFQaEREcFc5ZndxTHFXLTM1Z05nSkFEdmJONEVHTjk1VTN5VFBZMWhQek4;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:43
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['577.0']
      x-ratelimit-reset: ['438']
      x-ratelimit-used: ['23']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=QOEhHbPWgO%2Bmc%2FYdWBC1cfrCZhvSx5vKYBL7iC97mIYW1ATJIApTH7vRxCxYRe1daQIvkAxKja9sNBft2dn%2B4eEBkRgb4rFH']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [edgebucket=ifnpgFIHChCXO24Lbx; session_tracker=QR4I0jeLaPu8lk7Gl5.0.1505364162715.Z0FBQUFBQlp1Z2pEQW1aU0hSRUN3YnVGRmczeVhmNm9Cay1RQjgycUlDLUxaVzN4N3JkWEdYeTV4V1JhT2VUYkJjaFVqaHlPcVpnbnhBWC01QWoxRnVZSEMzaTVla0RvNXFQaEREcFc5ZndxTHFXLTM1Z05nSkFEdmJONEVHTjk1VTN5VFBZMWhQek4;
          loid=0000000000000lqnao.2.1425202840186.Z0FBQUFBQlp1Z2pEeUwteWtqYnM0U2puVUJRekM1dzR1ZFRKVDFOMFlzUXgyMEhJRkltZERLTEMtTThiMVI2RGdIWkRla2gyZ2ZPejJObHZxRXZzSERKeW5kX2d2VHp5VWlOVW51NWQwWWZlSTlVdFlhdW5rcWVqVzZHOFNPX2tOYk9lMVROcDB4R0k]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        F3gBLgNDcfe4AC3Be0sgf0E+utZATIN48P8BAYx/unHQAwA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36629']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:48 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1726-ORD]
      X-Timer: ['S1505364168.417957,VS0,VE536']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['session_tracker=QR4I0jeLaPu8lk7Gl5.0.1505364168447.Z0FBQUFBQlp1Z2pJbWZKeXRqenZpdm9VbUljdGZ5NjF6c19xaWJVa3NjSXRrUGp5cGIxSlpZVlNqX2I4bzJ1M2FNTkg2T1l5NjZRRzJhMlZkSEI4ZVpLV0pFc2FqUXJmQ3owaE5neUxiQXlaelgzS1lfa2Z1SUM0YTBIeWpxeUFpNFdNNDlWWmp6NmY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:48
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['576.0']
      x-ratelimit-reset: ['432']
      x-ratelimit-used: ['24']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=m17qIGOsnDOXC8GugbUUifGvK%2FljgQyp2wYG31dEZc7VXcvABaBMhCfzq3AV3x8HkiE%2F5DLWDAD1CpXzdsM6BFTWIVl3e21V']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [edgebucket=ifnpgFIHChCXO24Lbx; session_tracker=QR4I0jeLaPu8lk7Gl5.0.1505364168447.Z0FBQUFBQlp1Z2pJbWZKeXRqenZpdm9VbUljdGZ5NjF6c19xaWJVa3NjSXRrUGp5cGIxSlpZVlNqX2I4bzJ1M2FNTkg2T1l5NjZRRzJhMlZkSEI4ZVpLV0pFc2FqUXJmQ3owaE5neUxiQXlaelgzS1lfa2Z1SUM0YTBIeWpxeUFpNFdNNDlWWmp6NmY;
          loid=0000000000000lqnao.2.1425202840186.Z0FBQUFBQlp1Z2pEeUwteWtqYnM0U2puVUJRekM1dzR1ZFRKVDFOMFlzUXgyMEhJRkltZERLTEMtTThiMVI2RGdIWkRla2gyZ2ZPejJObHZxRXZzSERKeW5kX2d2VHp5VWlOVW51NWQwWWZlSTlVdFlhdW5rcWVqVzZHOFNPX2tOYk9lMVROcDB4R0k]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/r/Python/comments/2xmo63/.json
  response:
    body:
      string: !!binary |
[encoded data, 12410 characters]
        pTt4qoCSaeQWoAxH4+6wffy+teFo0BvrcqcCKDcTpn/9Pw8LDT4zAAEA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8364']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:52 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1726-ORD]
      X-Timer: ['S1505364173.676806,VS0,VE223']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['session_tracker=QR4I0jeLaPu8lk7Gl5.0.1505364172696.Z0FBQUFBQlp1Z2pNSjkxQkhHZmg0UFptQjFYZXV6azUzRG1wMUY3RURCZlNDX3VhWnZ0UDR4ZXJaWmsyWlhqMzdVdnJmWG9YRmJTWkl5SWNfVXRiYVhCaWoxUUd0MWw0dkkzVWlnQ09hY1ZqTmhUeVM3ckZwZFpqSzZNOWVqVVlOZENISXRHZjdWeVo;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:52
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['575.0']
      x-ratelimit-reset: ['428']
      x-ratelimit-used: ['25']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=uhS6lDnWgatYYfPo6orN74wV5WWFZ8xqoWGkom51bkwopbWkmXEAODcu9Nu1topQuGbh9KzR6s6hiwLm6sQuQqU7PakCVbBI']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [edgebucket=ifnpgFIHChCXO24Lbx; session_tracker=QR4I0jeLaPu8lk7Gl5.0.1505364172696.Z0FBQUFBQlp1Z2pNSjkxQkhHZmg0UFptQjFYZXV6azUzRG1wMUY3RURCZlNDX3VhWnZ0UDR4ZXJaWmsyWlhqMzdVdnJmWG9YRmJTWkl5SWNfVXRiYVhCaWoxUUd0MWw0dkkzVWlnQ09hY1ZqTmhUeVM3ckZwZFpqSzZNOWVqVVlOZENISXRHZjdWeVo;
          loid=0000000000000lqnao.2.1425202840186.Z0FBQUFBQlp1Z2pEeUwteWtqYnM0U2puVUJRekM1dzR1ZFRKVDFOMFlzUXgyMEhJRkltZERLTEMtTThiMVI2RGdIWkRla2gyZ2ZPejJObHZxRXZzSERKeW5kX2d2VHp5VWlOVW51NWQwWWZlSTlVdFlhdW5rcWVqVzZHOFNPX2tOYk9lMVROcDB4R0k]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        IH9FPvrWSEyDePD/AeJvCIZx0AMA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36615']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:55 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1726-ORD]
      X-Timer: ['S1505364175.452475,VS0,VE473']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['session_tracker=QR4I0jeLaPu8lk7Gl5.0.1505364175470.Z0FBQUFBQlp1Z2pQZG9kcTFjX1hWOXU1akEwNTdLS2piSGNQTHhMMlh6ZTJ1VWZwUEtfQzFReldEemdaRkNzMHJUZTBNSlk1dEEtcjNKNnBFemItR3QwdVJubGQ3OXp0bnQ1Z1pSZ2ZQSnJmOExwSElFb1NmcGRpRjNPRVdBWHZBM1c5b1ZsNjFXd0w;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:55
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['574.0']
      x-ratelimit-reset: ['425']
      x-ratelimit-used: ['26']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=gcfivp8EZb2%2FPuVdf%2FlAGNxxIeIvcKZXl6tbZrqv%2F4jpB3%2BuD1RxiFdhtU08poy4OiiFzSVkxTh1y4yLSUUz8L5KB0D1v1gJ']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
